Subject: [FFC-dev] More operators

From: Anders Logg <[email-masked]>
Date: Fri, 9 Sep 2005 16:46:03 -0500

I have added some more operators. This is just a first attempt at
getting it right, so I suspect the operators.py module is up for
improvement.

As a first test of the new operators, it would be good to know if they
are sufficient for defining the forms for elasticity.

Here's a short list of the new operators added to FFC:

  dot(v, w)     scalar product
  cross(v, w)   cross product
  trace(v)      trace
  transp(v)     transpose
  mult(v, w)    matrix multiplication

  D(v, i)       derivative
  grad(v)       gradient
  div(v)        divergence
  rot(v)        rotation
  curl(v)       rotation

  rank(v)       rank of v
  len(v)        length of v (vector dimension)
  I(n)          identity matrix
  vec(v)        create vector of functions from vector-valued function

/Anders